Package org.eclipse.wst.xsl.ui.internal.contentassist.href

## org.eclipse.wst.xsl.ui.internal.contentassist.href
Class HrefContentAssistRequest

    public class HrefContentAssistRequest
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXSLContentAssistRequest

This provides content assistance proposals for href attributes with a mode attribute.

Content assistance is restricted to files with the XSL content type that are in the same project as the file currently being edited. This is because projects in the workspace can have completely different physical file locations, leading to confusion in relative file paths across projects. Similarly, no content assistance is given for files external to the workspace. Such files should be assigned an absolute 'file:///' URL.

## Constructor Summary

`HrefContentAssistRequest(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`public java.util.ArrayList` | `getCompletionProposals()` The main method that returns an array of proposals. Returns relative paths to files in the current project.
`protected java.util.List` | `sortProposals(java.util.List proposalsIn)` Do not wish to sort the proposals - they are already sorted

## Constructor Detail

## HrefContentAssistRequest

`public HrefContentAssistRequest(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

Constructor for creating the HrefContentAssistRequest class.

## Methods Detail

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

The main method that returns an array of proposals. Returns relative paths to files in the current project.

### Returns

`java.util.ArrayList` - ICompletionProposal[]

## sortProposals

`protected java.util.List sortProposals(java.util.List proposalsIn)`

Do not wish to sort the proposals - they are already sorted

### Parameters

`proposalsIn`

### Returns

`java.util.List` - the same list, in the same order